---
sidebar_position: 3
---

# QueryEngine (Μηχανή Ερωτήματος)

`Αυτό το έγγραφο έχει μεταφραστεί αυτόματα και μπορεί να περιέχει λάθη. Μη διστάσετε να ανοίξετε ένα Pull Request για να προτείνετε αλλαγές.`

Μια μηχανή ερωτήματος (query engine) συσκευάζει έναν `Retriever` και έναν `ResponseSynthesizer` σε ένα παράθυρο (pipeline), που θα χρησιμοποιήσει το αλφαριθμητικό ερωτήματος για να ανακτήσει κόμβους και στη συνέχεια να τους στείλει στο LLM για να δημιουργήσει μια απάντηση.

```typescript
const queryEngine = index.asQueryEngine();
const response = await queryEngine.query("αλφαριθμητικό ερώτημα");
```

## Μηχανή Ερωτήματος Υποερώτησης

Το βασικό συναρτησιακό σχήμα της Μηχανής Ερωτήματος Υποερώτησης είναι ότι διαιρεί ένα μόνο ερώτημα σε πολλαπλά ερωτήματα, ανακτά μια απάντηση για κάθε ένα από αυτά τα ερωτήματα και στη συνέχεια συνδυάζει αυτές τις διάφορες απαντήσεις σε μια συνεκτική απάντηση για τον χρήστη. Μπορείτε να το σκεφτείτε ως την τεχνική "σκέψου αυτό βήμα προς βήμα" αλλά επαναλαμβάνοντας τις πηγές δεδομένων σας!

### Ξεκινώντας

Ο ευκολότερος τρόπος για να αρχίσετε να δοκιμάζετε τη Μηχανή Ερωτήματος Υποερώτησης (Sub Question Query Engine) είναι να εκτελέσετε το αρχείο subquestion.ts στον φάκελο [παραδείγματα](https://github.com/run-llama/LlamaIndexTS/blob/main/examples/subquestion.ts).

```bash
npx ts-node subquestion.ts
```

### Εργαλεία

Η Μηχανή Ερωτήματος Υποερώτησης υλοποιείται με τα Εργαλεία. Η βασική ιδέα των Εργαλείων είναι ότι είναι εκτελέσιμες επιλογές για το μεγάλο μοντέλο γλώσσας. Σε αυτήν την περίπτωση, η Μηχανή Ερωτήματος Υποερώτησης μας βασίζεται στο QueryEngineTool, το οποίο, όπως φαντάζεστε, είναι ένα εργαλείο για την εκτέλεση ερωτημάτων σε ένα QueryEngine. Αυτό μας επιτρέπει να δώσουμε στο μοντέλο μια επιλογή για να ερωτήσει διάφορα έγγραφα για διάφορες ερωτήσεις, για παράδειγμα. Μπορείτε επίσης να φανταστείτε ότι η Μηχανή Ερωτήματος Υποερώτησης μπορεί να χρησιμοποιήσει ένα Εργαλείο που αναζητά κάτι στον ιστό ή παίρνει μια απάντηση χρησιμοποιώντας το Wolfram Alpha.

Μπορείτε να μάθετε περισσότερα για τα Εργαλεία ανατρέχοντας στην τεκμηρίωση της Python για το LlamaIndex https://gpt-index.readthedocs.io/en/latest/core_modules/agent_modules/tools/root.html

"

## Αναφορά API

- [RetrieverQueryEngine (Μηχανή Ανάκτησης Ερωτήσεων)](../../api/classes/RetrieverQueryEngine.md)
- [SubQuestionQueryEngine (Μηχανή Υποερωτήσεων)](../../api/classes/SubQuestionQueryEngine.md)
- [QueryEngineTool (Εργαλείο Μηχανής Ερωτήματος)](../../api/interfaces/QueryEngineTool.md)
